> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/pricing-advisor-api/resources/first-successful-requests/forward-pricing-multiplier-engineer.md).

# Forward-Pricing / Multiplier Engineer

Retrieve the latest **multiplier pricing advice** for one tenant and one shopper country using:

```http
GET /api/4.0/MultiplierAdvice/{tenantCode}/{countryIso}
```

This endpoint retrieves the latest available multiplier pricing advice for a country. The multiplier combines estimated duties and taxes with ESW FX rates into one number and also returns rounding rules for building forward prices shown to international shoppers.

### Why this is the best first request

It is the most direct path to *give me the pricing multiplier for this market*.

### First request

{% code title="BASE URL" expandable="true" %}

```hurl
https://pricing-advisor-api.sandbox.eshopworld.com
```

{% endcode %}

| Name                                                         | Description                                                                                  |
| ------------------------------------------------------------ | -------------------------------------------------------------------------------------------- |
| `tenantCode`  <mark style="color:$danger;">`required`</mark> | Six-letter code that identifies the tenant.                                                  |
| `countryIso`  <mark style="color:$danger;">`required`</mark> | ISO 3166 code of the delivery country that will be impacted by the product price adjustment. |

{% tabs %}
{% tab title="Try it" %}
{% @code-walkthrough/try-it specLoaded="" specEps="" method="GET" path="/api/4.0/MultiplierAdvice/{tenantCode}/{countryIso}" baseUrl="<https://api.example.com>" title="GET multiplier pricing advice for a country." defaults="{"path":{"tenantCode":"","countryIso":""},"query":{},"headers":{"Content-Type":"application/json"}}" mode="closed" %}
{% endtab %}
{% endtabs %}

```json
curl -X GET "https://<your-host>/api/4.0/MultiplierAdvice/TEN123/US" \
  -H "Authorization: Bearer <JWT>" \
  -H "Accept: application/json"
```

### What success looks like

A successful first result is <mark style="color:$success;">`200 OK`</mark> with a `MultiplierAdviceResponse`. Useful top-level fields include:

* `id`
* `version`
* `countryIso`
* `lastUpdated`
* `tenantIdentifier`
* `categories`

Inside each multiplier category, the key fields are:

* `multipliers[].fromCurrencyIso`
* `multipliers[].toCurrencyIso`
* `multipliers[].value`
* `multipliers[].adjustedValue`
* `roundingConfigurations`
* `currencyDisplays`

### What to do next

After the first success, compare `value` versus `adjustedValue`.  `value` is the standard multiplier including FX, retailer adjustment, estimated duties, and estimated taxes, while `adjustedValue` is adjusted to account for the country’s input/pricing model.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/pricing-advisor-api/resources/first-successful-requests/forward-pricing-multiplier-engineer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
